<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "publish.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="publish.label">
		<xsl:text>&publish.label;</xsl:text>
	</xsl:variable>

	<xsl:template match="publish" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="publish" mode="label">
		<xsl:value-of select="$publish.label" />
	</xsl:template>

	<xsl:template match="publish">
		<xsl:call-template name="addActionInfo" />
		<xsl:call-template name="reportPublishDetailed" />
	</xsl:template>

	<xsl:template name="reportPublishDetailed">
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
			<xsl:call-template name="copyAttribute">
				<xsl:with-param name="attribute" select="$ERROR" />
				<xsl:with-param name="outputAttribute" select="$ERROR_OUTPUT" />
			</xsl:call-template>
			<tr>
				<xsl:call-template name="copyAttribute">
					<xsl:with-param name="attribute" select="$TRANSPORT" />
					<xsl:with-param name="outputAttribute" select="$TRANSPORT_OUTPUT" />
				</xsl:call-template>
				<xsl:call-template name="copyAttribute">
					<xsl:with-param name="attribute" select="$FORMATTER" />
					<xsl:with-param name="outputAttribute" select="$FORMATTER_OUTPUT" />
				</xsl:call-template>
			</tr>
			<xsl:call-template name="reportValidationError" />
		</table>
		<xsl:call-template name="reportAssociatedA3Message" />
	</xsl:template>
</xsl:stylesheet>
