<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "runCommand.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="runCommand.label">
		<xsl:text>&runCommand.label;</xsl:text>
	</xsl:variable>

	<xsl:template match="runCommand" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="runCommand" mode="label">
		<xsl:value-of select="$runCommand.label" />
	</xsl:template>

	<xsl:template match="runCommand">
		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
			<xsl:call-template name="reportExitCode" />
			<xsl:call-template name="reportValidationError" />
			<xsl:call-template name="reportStdout" />
			<xsl:call-template name="reportStderr" />
		</table>
	</xsl:template>

	<xsl:template name="reportExitCode">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="$EXIT_CODE" />
			<xsl:with-param name="outputAttribute" select="$EXIT_CODE_OUTPUT" />
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="reportStdout">
		<xsl:if test="string-length(*[name()=$STD_OUT]/text())!=0">
			<tr>
				<xsl:call-template name="reportInfo">
					<xsl:with-param name="name" select="$STD_OUT_OUTPUT" />
					<xsl:with-param name="value" select="*[name()=$STD_OUT]/text()" />
					<xsl:with-param name="tdSpan" select="4" />
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>

	<xsl:template name="reportStderr">
		<xsl:if test="string-length(*[name()=$STD_ERR]/text())!=0">
			<tr>
				<xsl:call-template name="reportInfo">
					<xsl:with-param name="name" select="$STD_ERR_OUTPUT" />
					<xsl:with-param name="value" select="*[name()=$STD_ERR]/text()" />
					<xsl:with-param name="tdSpan" select="4" />
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
