<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "sleep.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="sleep.label">
		<xsl:text>&sleep.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="FIXED_OUTPUT">
		<xsl:text>&sleep.fixed;</xsl:text>
	</xsl:variable>
	<xsl:variable name="UNIFORM_OUTPUT">
		<xsl:text>&sleep.uniform;</xsl:text>
	</xsl:variable>
	<xsl:variable name="GAUSSIAN_OUTPUT">
		<xsl:text>&sleep.gaussian;</xsl:text>
	</xsl:variable>

	<xsl:variable name="FIXED" select="'Fixed'" />
	<xsl:variable name="UNIFORM" select="'Uniform'" />
	<xsl:variable name="GAUSSIAN" select="'Gaussian'" />

	<xsl:template match="sleep" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="sleep" mode="label">
		<xsl:value-of select="$sleep.label" />
	</xsl:template>

	<xsl:template match="sleep">
		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportSleepDetailed" />
		</table>
	</xsl:template>

	<xsl:template name="reportSleepDetailed">
		<xsl:call-template name="reportCommonInfo" />
		<xsl:call-template name="reportDelay" />
		<xsl:if test="not(@distributionType=$FIXED)">
			<tr>
				<xsl:call-template name="reportMinDelay" />
				<xsl:call-template name="reportMaxDelay" />
			</tr>
		</xsl:if>
		<tr>
			<xsl:call-template name="reportDistibutionType" />
		</tr>
		<xsl:call-template name="reportValidationError" />
	</xsl:template>

	<xsl:template name="reportDelay">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="$DELAY" />
			<xsl:with-param name="outputAttribute" select="$DELAY_OUTPUT" />
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="reportMinDelay">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="$MIN_DELAY" />
			<xsl:with-param name="outputAttribute" select="$MIN_DELAY_OUTPUT" />
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="reportMaxDelay">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="$MAX_DELAY" />
			<xsl:with-param name="outputAttribute" select="$MAX_DELAY_OUTPUT" />
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="reportDistibutionType">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="$DISTRIBUTION_TYPE" />
			<xsl:with-param name="outputAttribute" select="$DISTRIBUTION_TYPE_OUTPUT" />
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
